[Commits] [svn:einsteintoolkit] tools/ (Rev. 37)
knarf at cct.lsu.edu
knarf at cct.lsu.edu
Tue Jun 14 06:46:57 CDT 2016
User: knarf
Date: 2016/06/14 06:46 AM
Added:
/trunk/VirtualBox/
install_ET_2016_05
Modified:
/trunk/VirtualBox/
install_ET_2015_05
Log:
fix URL, and add ET_2016_05 file
Directory Changes:
Directory: /svn:executable/
===========================
+ *
File Changes:
Directory: /trunk/VirtualBox/
=============================
File [modified]: install_ET_2015_05
Delta lines: +1 -1
===================================================================
--- trunk/VirtualBox/install_ET_2015_05 2016-06-14 09:33:07 UTC (rev 36)
+++ trunk/VirtualBox/install_ET_2015_05 2016-06-14 11:46:57 UTC (rev 37)
@@ -8,7 +8,7 @@
RELEASE=ET_2015_05
wget --no-check-certificate https://github.com/gridaphobe/CRL/raw/$RELEASE/GetComponents
chmod +x GetComponents
-./GetComponents -p -a
+./GetComponents -p -a https://bitbucket.org/einsteintoolkit/manifest/raw/$RELEASE/einsteintoolkit.th
cd Cactus
# figure out how many cores we have
File [added]: install_ET_2016_05
Delta lines: +27 -0
===================================================================
--- trunk/VirtualBox/install_ET_2016_05 (rev 0)
+++ trunk/VirtualBox/install_ET_2016_05 2016-06-14 11:46:57 UTC (rev 37)
@@ -0,0 +1,27 @@
+#!/bin/bash
+set -e
+
+# necessary for mpich, but not openmpi
+#perl -le 'printf "MPD_SECRETWORD=";print map { ("a".."z","A".."Z")[rand 52] } 1..40' > $HOME/.mpd.conf
+#chmod 600 $HOME/.mpd.conf
+
+RELEASE=ET_2016_05
+wget --no-check-certificate https://github.com/gridaphobe/CRL/raw/$RELEASE/GetComponents
+chmod +x GetComponents
+./GetComponents -p -a https://bitbucket.org/einsteintoolkit/manifest/raw/$RELEASE/einsteintoolkit.th
+cd Cactus
+
+# figure out how many cores we have
+logic_cores=`cat /proc/cpuinfo | grep "model name" | wc -l`
+fake_cores_per_core=`cat /proc/cpuinfo | grep "physical id" | sort | uniq | wc -l`
+cores=$((($logic_cores-$fake_cores_per_core)/$fake_cores_per_core+1))
+
+./simfactory/bin/sim setup-silent --optionlist=debian.cfg --ppn=$cores --submitscript=debian.sub --runscript=without.run
+mkdir -p ~/simulations
+set +e
+time ./simfactory/bin/sim build --thornlist ./thornlists/einsteintoolkit.th 2>&1 | tee ET_build.log
+set -e
+make sim
+./simfactory/bin/sim create-run tests_1 --testsuite --procs 1
+./simfactory/bin/sim create-run tests_2 --testsuite --procs 2
+
Property changes on: trunk/VirtualBox/install_ET_2016_05
___________________________________________________________________
More information about the Commits
mailing list